Commit 77ff6992 authored by Matthias Clasen's avatar Matthias Clasen
Browse files

Drop gtk-builder-convert

It will still be shipped in gtk 2.24.
parent 09d395f6
......@@ -135,7 +135,6 @@ content_files = \
x11.sgml \
gtk-query-immodules-3.0.xml \
gtk-update-icon-cache.xml \
gtk-builder-convert.xml \
visual_index.xml \
getting_started.xml \
overview.xml
......@@ -374,8 +373,7 @@ EXTRA_DIST += version.xml.in
man_MANS = \
gtk-query-immodules-3.0.1 \
gtk-update-icon-cache.1 \
gtk-builder-convert.1
gtk-update-icon-cache.1
if ENABLE_MAN
......
<refentry id="gtk-builder-convert">
<refmeta>
<refentrytitle>gtk-builder-convert</refentrytitle>
<manvolnum>1</manvolnum>
</refmeta>
<refnamediv>
<refname>gtk-builder-convert</refname>
<refpurpose>Glade file conversion utility</refpurpose>
</refnamediv>
<refsynopsisdiv>
<cmdsynopsis>
<command>gtk-builder-convert</command>
<arg choice="opt">--skip-windows</arg>
<arg choice="opt">--target-version <replaceable>version</replaceable></arg>
<arg choice="opt">--root <replaceable>name</replaceable></arg>
<arg choice="req">input</arg>
<arg choice="req">output</arg>
</cmdsynopsis>
</refsynopsisdiv>
<refsect1><title>Description</title>
<para><command>gtk-builder-convert</command> converts glade files
into XML files which can be loaded with GtkBuilder.
</para>
<para>
It expects the name of a glade file as the first argument, and writes
its output the file specified as the second argument.
</para>
</refsect1>
<refsect1><title>Options</title>
<variablelist>
<varlistentry>
<term>--skip-windows</term>
<term>-w</term>
<listitem><para>Convert everything but GtkWindow subclasses.</para></listitem>
</varlistentry>
<varlistentry>
<term>--target-version</term>
<term>-t</term>
<listitem>
<para>
Some widgets and properties are different between GTK+ versions 2.0 and
3.0, so this option allows to set the desired GTK+ target version.
</para>
</listitem>
</varlistentry>
<varlistentry>
<term>--root</term>
<term>-r</term>
<listitem><para>Convert only the widget named <replaceable>name</replaceable>
and its children.</para></listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1><title>Bugs</title>
<para>
Toolbars are not handled.
</para>
<para>
Support for accessibility is not yet implemented.
</para>
<para>
The script requires a python interpreter to run.
</para>
</refsect1>
</refentry>
......@@ -358,7 +358,6 @@
<title>GTK+ Tools</title>
<xi:include href="gtk-query-immodules-3.0.xml" />
<xi:include href="gtk-update-icon-cache.xml" />
<xi:include href="gtk-builder-convert.xml" />
</part>
<xi:include href="glossary.xml" />
......
......@@ -1006,8 +1006,6 @@ if BUILD_ICON_CACHE
bin_PROGRAMS += gtk-update-icon-cache
endif
bin_SCRIPTS = gtk-builder-convert
if OS_WIN32
# Workaround for UAC silliness: programs with "update" in their name
......@@ -1017,8 +1015,7 @@ if OS_WIN32
GTK_UPDATE_ICON_CACHE_MANIFEST = gtk-update-icon-cache.exe.manifest
bin_SCRIPTS += \
$(GTK_UPDATE_ICON_CACHE_MANIFEST)
bin_SCRIPTS = $(GTK_UPDATE_ICON_CACHE_MANIFEST)
$(GTK_UPDATE_ICON_CACHE_MANIFEST):
(echo '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>' ; \
......@@ -1359,11 +1356,10 @@ EXTRA_DIST += \
line-arrow.xbm \
line-wrap.xbm \
tree_plus.xbm \
tree_minus.xbm \
tree_minus.xbm \
tree_minus.xpm \
tree_plus.xpm \
gtk.def \
gtk-builder-convert \
gtk-win32.rc \
gtk-win32.rc.in \
gtkwin32embed.h \
......
This diff is collapsed.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment